- name: "Install Tor"
  apt: name=tor state=present
  when: tor == "true"
  notify: Restart tor

- name: "Make hidden service directory"
  file: name=/var/lib/tor/prosody state=directory owner=debian-tor group=debian-tor mode=0700
  when: tor == "true"
  notify: Restart tor

- name: "Add prosody hidden service"
  blockinfile:
    dest: /etc/tor/torrc
    block: |
      HiddenServiceDir /var/lib/tor/prosody/
      HiddenServicePort 5222
      HiddenServicePort 5223
      HiddenServicePort 5269
      HiddenServicePort 5280
      HiddenServicePort 5281
      HiddenServicePort 5298
      HiddenServicePort 8010
      HiddenServicePort 5000
  when: tor == "true"
  notify: Restart tor

- name: "Restart tor if needed"
  meta: flush_handlers
